# $Revision: 1.4 $, $Date: 2012/01/07 23:26:33 $
%define 	module	anyjson
Summary:	JSON implementation in a common interface
Name:		python-%{module}
Version:	0.3.1
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	2b53b5d53fc40af4da7268d3c3e35a50
URL:		https://bitbucket.org/runeh/anyjson
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pyparsing
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is
used.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*

%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org


$Log: python-anyjson.spec,v $
Revision 1.4  2012/01/07 23:26:33  zbyniu
- rel 1

Revision 1.3  2011/05/26 13:52:50  zbyniu
- desc, URL, cleanup

Revision 1.2  2011/05/25 07:18:29  cieciwa
- updated %file
